using System;

internal sealed class Delegate783 : MulticastDelegate
{
	public extern char Invoke(object object_0, int int_0);

	public static char smethod_0(object object_0, int int_0, Delegate783 delegate783_1)
	{
		return delegate783_1(object_0, int_0);
	}

	public extern Delegate783(object object_0, IntPtr intptr_0);

	static Delegate783()
	{
		Class10.smethod_13(typeof(Delegate783).TypeHandle);
	}

	internal static Delegate783 delegate783_0;
}
